import React from "react";
import { ICustomeIcon } from "@Components/Icons/index";

function Error() {
  return (
    <svg
      width="190"
      height="48"
      viewBox="0 0 190 48"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M23.3605 46.8602H34.7295V39.0712H40.7253V30.0475H34.7295V1.1715H18.02C9.1083 14.058 4.16099 21.847 0 29.6042V39.0712H23.3605V46.8602ZM10.0585 30.1425C13.859 23.0501 17.6924 17.1609 23.4588 9.1504H23.6881V30.4591H10.0585V30.1425Z"
        fill="#A42227"
      />
      <path
        d="M67.7215 48C80.2372 48 87.9695 38.8179 87.9695 23.905C87.9695 8.8971 80.1717 0 67.7215 0C55.3041 0 47.4408 8.92876 47.4408 23.9367C47.4408 38.8813 55.2058 48 67.7215 48ZM67.7215 38.9446C62.7414 38.9446 59.6616 33.9103 59.6616 23.905C59.6616 13.9631 62.7414 9.05541 67.7215 9.05541C72.7016 9.05541 75.7486 13.9314 75.7486 23.9367C75.7486 33.9103 72.7344 38.9446 67.7215 38.9446Z"
        fill="#A42227"
      />
      <path
        d="M118.635 46.8602H130.004V39.0712H136V30.0475H130.004V1.1715H113.295C104.383 14.058 99.4357 21.847 95.2747 29.6042V39.0712H118.635V46.8602ZM105.333 30.1425C109.134 23.0501 112.967 17.1609 118.734 9.1504H118.963V30.4591H105.333V30.1425Z"
        fill="#A42227"
      />
      <path
        d="M167.461 14.4669C167.461 16.2774 168.92 17.7364 170.73 17.7364C172.541 17.7364 174 16.2774 174 14.4669C174 12.6563 172.541 11.2149 170.73 11.2149C168.92 11.2149 167.461 12.6563 167.461 14.4669ZM155.771 14.4669C155.771 16.2774 157.23 17.7364 159.041 17.7364C160.852 17.7364 162.311 16.2774 162.311 14.4669C162.311 12.6563 160.852 11.2149 159.041 11.2149C157.23 11.2149 155.771 12.6563 155.771 14.4669ZM165.949 25.0116C159.779 25.0116 154.857 26.6288 150.516 30.3378L150.516 36.1913C153.662 33.5546 160.078 31.4452 165.967 31.4452C171.891 31.4452 178.271 33.5546 181.365 36.1913L181.365 30.3378C177.094 26.6464 172.189 25.0116 165.949 25.0116Z"
        fill="#A42227"
      />
    </svg>
  );
}

function EmptyBox(props: ICustomeIcon = {}) {
  const { width = 50, style } = props;
  const WIDTH = width;

  return (
    <svg
      style={style}
      width={WIDTH}
      height={WIDTH}
      viewBox="0 -59 496 495"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="m72 8.5-64 168h128c0 61.855469 50.144531 112 112 112s112-50.144531 112-112h128l-64-168zm0 0"
        fill="#F4F6F7"
      />
      <path
        d="m248 288.5c-61.855469 0-112-50.144531-112-112h-128v192h480v-192h-128c0 61.855469-50.144531 112-112 112zm-160 48"
        fill="#D0D3D4"
      />
      <g fill="#B3B6B7">
        <path d="m495.480469 173.652344-64-168c-1.183594-3.105469-4.160157-5.152344-7.480469-5.152344h-352c-3.320312 0-6.296875 2.046875-7.480469 5.152344l-64 168c-.292969.824218-.4492185 1.6875-.4648435 2.558594 0 .105468-.0546875.183593-.0546875.289062v192c0 4.417969 3.582031 8 8 8h480c4.417969 0 8-3.582031 8-8v-192c0-.105469-.054688-.183594-.054688-.289062-.015624-.871094-.171874-1.734376-.464843-2.558594zm-417.96875-157.152344h340.976562l57.902344 152h-116.390625c-4.417969 0-8 3.582031-8 8 0 57.4375-46.5625 104-104 104s-104-46.5625-104-104c0-4.417969-3.582031-8-8-8h-116.390625zm402.488281 344h-464v-176h112.265625c4.1875 63.046875 56.546875 112.042969 119.734375 112.042969s115.546875-48.996094 119.734375-112.042969h112.265625zm0 0" />
      </g>
    </svg>
  );
}

export { Error, EmptyBox };
